Localization in React File Upload

4 Sep 202618 minutes to read

The localization library enables customization of the React File Upload’s static text content, including action button labels, file status messages, icon titles, tooltips, and drop area text. Define locale-specific text by creating a locale object and registering it with the L10n (localization) service.

The following keys customize the React File Upload’s text content:

Key Description
Browse Browse button label
Clear Clear button label
Upload Upload button label
dropFilesHint Drop area placeholder text
uploadFailedMessage File upload failure message
uploadSuccessMessage File upload success message
removedSuccessMessage File removal success message
removedFailedMessage File removal failure message
inProgress Upload in-progress status message
pauseUpload Upload paused status message
fileUploadCancel Upload cancellation message
readyToUploadMessage File selected and ready status message
invalidMaxFileSize File exceeds maximum size message
invalidFileType Invalid file type message
invalidMinFileSize File below minimum size message
remove Remove icon tooltip
cancel Cancel icon tooltip
delete Delete icon tooltip
totalFiles Total files tooltip
size File size tooltip

[Class-component]

import { L10n } from '@syncfusion/ej2-base';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from "react-dom";
export default class App extends React.Component {
    uploadObj;
    path = {
        removeUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Remove',
        saveUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Save'
    };
    componentWillMount() {
        L10n.load({
            "fr-CH": {
                "uploader": {
                    "Browse": "Feuilleter",
                    "Clear": "Clair",
                    "Upload": "Télécharger",
                    "cancel": "Annuler",
                    "delete": "Supprimer le fichier",
                    "totalFiles": "Total des fichiers",
                    "size": "taille",
                    "dropFilesHint": "ou Déposer des fichiers ici",
                    "inProgress": "Téléchargement",
                    "invalidFileType": "Le type de fichier n'est pas autorisé",
                    "invalidMaxFileSize": "La taille du fichier dépasse 28 Mo",
                    "invalidMinFileSize": "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
                    "readyToUploadMessage": "Prêt à télécharger",
                    "remove": "Retirer",
                    "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
                    "removedSuccessMessage": "Fichier supprimé avec succès",
                    "uploadFailedMessage": "Impossible d'importer le fichier",
                    "uploadSuccessMessage": "Fichier téléchargé avec succès",
                }
            }
        });
    }
    render() {
        return (<UploaderComponent asyncSettings={this.path} locale='fr-CH'/>);
    }
}
ReactDOM.render(<App />, document.getElementById('fileupload'));
import { L10n } from '@syncfusion/ej2-base';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {
    public uploadObj: UploaderComponent;
  public path: object = {
    removeUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Remove',
    saveUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Save'
  }
  public componentWillMount(): void {
    L10n.load({
        "fr-CH": {
            "uploader": {
                "Browse"  : "Feuilleter",
                "Clear" : "Clair",
                "Upload" : "Télécharger",
                "cancel": "Annuler",
                "delete": "Supprimer le fichier",
                "totalFiles": "Total des fichiers",
                "size": "taille",
                "dropFilesHint" : "ou Déposer des fichiers ici",
                "inProgress": "Téléchargement",
                "invalidFileType" : "Le type de fichier n'est pas autorisé",
                "invalidMaxFileSize" : "La taille du fichier dépasse 28 Mo",
                "invalidMinFileSize" : "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
                "readyToUploadMessage": "Prêt à télécharger",
                "remove": "Retirer",
                "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
                "removedSuccessMessage": "Fichier supprimé avec succès",
                "uploadFailedMessage" : "Impossible d'importer le fichier",
                "uploadSuccessMessage" : "Fichier téléchargé avec succès",
            }
        }
    })
}

    public render(): JSX.Element {
        return (
            <UploaderComponent asyncSettings = {this.path} locale = 'fr-CH'/>
        );
    }
}

ReactDOM.render(<App />, document.getElementById('fileupload'));

[Functional-component]

import { L10n } from '@syncfusion/ej2-base';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from "react-dom";
function App() {
    let uploadObj;
    const path = {
        removeUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Remove',
        saveUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Save'
    };
    React.useEffect(() => {
        L10n.load({
            "fr-CH": {
                "uploader": {
                    "Browse": "Feuilleter",
                    "Clear": "Clair",
                    "Upload": "Télécharger",
                    "cancel": "Annuler",
                    "delete": "Supprimer le fichier",
                    "totalFiles": "Total des fichiers",
                    "size": "taille",
                    "dropFilesHint": "ou Déposer des fichiers ici",
                    "inProgress": "Téléchargement",
                    "invalidFileType": "Le type de fichier n'est pas autorisé",
                    "invalidMaxFileSize": "La taille du fichier dépasse 28 Mo",
                    "invalidMinFileSize": "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
                    "readyToUploadMessage": "Prêt à télécharger",
                    "remove": "Retirer",
                    "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
                    "removedSuccessMessage": "Fichier supprimé avec succès",
                    "uploadFailedMessage": "Impossible d'importer le fichier",
                    "uploadSuccessMessage": "Fichier téléchargé avec succès",
                }
            }
        });
    }, []);
    return (<UploaderComponent asyncSettings={path} locale='fr-CH'/>);
}
ReactDOM.render(<App />, document.getElementById('fileupload'));
import { L10n } from '@syncfusion/ej2-base';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDOM from "react-dom";

function App() {
    let uploadObj: UploaderComponent;
    const path: object = {
    removeUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Remove',
    saveUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Save'
  }
  React.useEffect(() => {
    L10n.load({
        "fr-CH": {
            "uploader": {
                "Browse"  : "Feuilleter",
                "Clear" : "Clair",
                "Upload" : "Télécharger",
                "cancel": "Annuler",
                "delete": "Supprimer le fichier",
                "totalFiles": "Total des fichiers",
                "size": "taille",
                "dropFilesHint" : "ou Déposer des fichiers ici",
                "inProgress": "Téléchargement",
                "invalidFileType" : "Le type de fichier n'est pas autorisé",
                "invalidMaxFileSize" : "La taille du fichier dépasse 28 Mo",
                "invalidMinFileSize" : "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
                "readyToUploadMessage": "Prêt à télécharger",
                "remove": "Retirer",
                "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
                "removedSuccessMessage": "Fichier supprimé avec succès",
                "uploadFailedMessage" : "Impossible d'importer le fichier",
                "uploadSuccessMessage" : "Fichier téléchargé avec succès",
            }
        }
    })

}, []);

        return (
            <UploaderComponent asyncSettings = {path} locale = 'fr-CH'/>
        );
}

ReactDOM.render(<App />, document.getElementById('fileupload'));

You can also explore React File Upload feature tour page for its groundbreaking features. You can also explore our React File Upload example to understand how to browse the files which you want to upload to the server.

Localization in Vue Uploader

21 Aug 202611 minutes to read

The Localization library allows you to localize static text content of the uploader. The static text contains default text content of action buttons, file status, clear icon title, tooltips, and text content of drag area. Define the locale object for a culture and assign it to L10n load method.

The following are the list of keys and its values used in the uploader.

Key Description
Browse To customize the browse button text.
Clear To customize the clear button text.
Upload To customize the upload button text.
dropFilesHint To customize the drop area text.
uploadFailedMessage To customize the status text when the file is failed to upload.
uploadSuccessMessage To customize the status text when the file is uploaded successfully.
removedSuccessMessage To customize the status text when the file is removed the successfully from the server.
removedFailedMessage To customize the status text while the file is failed to remove.
inProgress To customize the status text while the upload is in progress.
pauseUpload To customize the status text while the uploading is paused.
fileUploadCancel To customize the status text when uploading is cancelled.
readyToUploadMessage To customize the status text when the file is selected and ready to upload.
invalidMaxFileSize To customize the status text when the file size is greater than the maximum file size.
invalidFileType To customize the status text when the file type is invalid.
invalidMinFileSize To customize the status text when the file size is less than the minimum file size.
remove To customize tooltip text for remove icon.
cancel To customize tooltip text for cancel icon.
delete To customize tooltip text for delete icon.
totalFiles To customize tooltip text for total files.
size To customize tooltip text for size.
<template>
    <div class="col-lg-8 control-section uploader chunk">
        <div class="control_wrapper">
            <ejs-uploader id='validation' name="UploadFiles" :asyncSettings="path" ref="uploadObj" :locale='locale'
                :autoUpload='false'>
            </ejs-uploader>
        </div>
    </div>
</template>
<script setup>

import { UploaderComponent as EjsUploader } from '@syncfusion/ej2-vue-inputs';
import { L10n } from '@syncfusion/ej2-base';

L10n.load({
    "fr-CH": {
        "uploader": {
            "invalidMinFileSize": "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
            "invalidMaxFileSize": "La taille du fichier dépasse 28 Mo",
            "invalidFileType": "Le type de fichier n'est pas autorisé",
            "Browse": "Feuilleter",
            "Clear": "Clair",
            "Upload": "Télécharger",
            "dropFilesHint": "ou Déposer des fichiers ici",
            "uploadFailedMessage": "Impossible d'importer le fichier",
            "uploadSuccessMessage": "Fichier téléchargé avec succès",
            "removedSuccessMessage": "Fichier supprimé avec succès",
            "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
            "inProgress": "Téléchargement",
            "readyToUploadMessage": "Prêt à télécharger",
            "remove": "Retirer",
            "cancel": "Annuler",
            "delete": "Supprimer le fichier",
            "totalFiles": "Total des fichiers",
            "size": "taille"
        }
    }
})

const path = {
    saveUrl: 'https://services.syncfusion.com/vue/production/api/FileUploader/Save',
    removeUrl: 'https://services.syncfusion.com/vue/production/api/FileUploader/Remove'
};
const locale = 'fr-CH';

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#container {
    visibility: hidden;
    padding-left: 5%;
    width: 100%;
}

#loader {
    color: #008cff;
    font-family: 'Helvetica Neue', 'calibiri';
    font-size: 14px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}</style>
<template>
    <div class="col-lg-8 control-section uploader chunk">
        <div class="control_wrapper">
            <ejs-uploader id='validation' name="UploadFiles" :asyncSettings="path" ref="uploadObj" :locale='locale'
                :autoUpload='false'>
            </ejs-uploader>
        </div>
    </div>
</template>
<script>

import { UploaderComponent } from '@syncfusion/ej2-vue-inputs';
import { L10n } from '@syncfusion/ej2-base';

L10n.load({
    "fr-CH": {
        "uploader": {
            "invalidMinFileSize": "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
            "invalidMaxFileSize": "La taille du fichier dépasse 28 Mo",
            "invalidFileType": "Le type de fichier n'est pas autorisé",
            "Browse": "Feuilleter",
            "Clear": "Clair",
            "Upload": "Télécharger",
            "dropFilesHint": "ou Déposer des fichiers ici",
            "uploadFailedMessage": "Impossible d'importer le fichier",
            "uploadSuccessMessage": "Fichier téléchargé avec succès",
            "removedSuccessMessage": "Fichier supprimé avec succès",
            "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
            "inProgress": "Téléchargement",
            "readyToUploadMessage": "Prêt à télécharger",
            "remove": "Retirer",
            "cancel": "Annuler",
            "delete": "Supprimer le fichier",
            "totalFiles": "Total des fichiers",
            "size": "taille"
        }
    }
})
export default {
    name: "App",
    components: {
        "ejs-uploader": UploaderComponent
    },
    data: function () {
        return {
            path: {
                saveUrl: 'https://services.syncfusion.com/vue/production/api/FileUploader/Save',
                removeUrl: 'https://services.syncfusion.com/vue/production/api/FileUploader/Remove'
            },
            extensions: '.doc, .docx, .xls, .xlsx',
            locale: 'fr-CH'
        }
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#container {
    visibility: hidden;
    padding-left: 5%;
    width: 100%;
}

#loader {
    color: #008cff;
    font-family: 'Helvetica Neue', 'calibiri';
    font-size: 14px;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}
</style>

You can also explore Vue File Upload feature tour page for its groundbreaking features. You can also explore our Vue File Upload example to understand how to browse the files which you want to upload to the server.

Localization in Angular Uploader

31 Aug 20267 minutes to read

The Localization library enables you to localize static text content in the Uploader, including action button labels, file status messages, icon titles, tooltips, and drag-area text. To localize the content, create a locale object for your culture and load it using the L10n.load method (import L10n from @syncfusion/ej2-base). Set the Uploader’s locale property to the culture code you loaded so the component renders the localized strings.

The following table lists the localization keys and their descriptions:

Key Default value Description
Browse Browse Text for the browse button
Clear Clear Text for the clear button
Upload Upload Text for the upload button
dropFilesHint Drop files here to upload Text displayed in the drop area
uploadFailedMessage File failed to upload Status message when a file fails to upload
uploadSuccessMessage File uploaded successfully Status message when a file uploads successfully
removedSuccessMessage File removed successfully Status message when a file is successfully removed from the server
removedFailedMessage File could not be removed Status message when file removal fails
inProgress Uploading Status message while upload is in progress
readyToUploadMessage Ready to upload Status message when a file is selected and ready for upload
pauseUpload Upload paused Status message when upload is paused (relevant only when chunk upload is enabled)
fileUploadCancel File upload canceled Status message when upload is canceled (relevant only when chunk upload is enabled)
invalidMaxFileSize File size is too large Status message when file size exceeds the maximum limit
invalidFileType File type is not allowed Status message when file type is not allowed
invalidMinFileSize File size is too small Status message when file size is below the minimum limit
remove Remove Tooltip text for the remove icon
cancel Cancel Tooltip text for the cancel icon
delete Delete file Tooltip text for the delete icon
totalFiles Total files Tooltip text for total files count
size Size Tooltip text for file size

The example below loads French (fr-CH) values for several of these keys and sets the Uploader’s locale to fr-CH.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { UploaderModule } from '@syncfusion/ej2-angular-inputs'




import { Component } from '@angular/core';
import { detach, L10n } from '@syncfusion/ej2-base';

@Component({
imports: [
         UploaderModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
               <ejs-uploader #defaultupload  [asyncSettings]='path' locale= 'fr-CH'  autoUpload = 'false'></ejs-uploader>
              `
})
export class AppComponent {
    public path: Object = {
      saveUrl: 'https://services.syncfusion.com/angular/production/api/FileUploader/Save',
      removeUrl: 'https://services.syncfusion.com/angular/production/api/FileUploader/Remove' };
    ngOnInit() {
        L10n.load({
    "fr-CH": {
        "uploader": {
            "invalidMinFileSize" : "La taille du fichier est trop petite! S'il vous plaît télécharger des fichiers avec une taille minimale de 10 Ko",
            "invalidMaxFileSize" : "La taille du fichier dépasse 28 Mo",
            "invalidFileType" : "Le type de fichier n'est pas autorisé",
            "Browse"  : "Feuilleter",
            "Clear" : "Clair",
            "Upload" : "Télécharger",
            "dropFilesHint" : "ou Déposer des fichiers ici",
            "uploadFailedMessage" : "Impossible d'importer le fichier",
            "uploadSuccessMessage" : "Fichier téléchargé avec succès",
            "removedSuccessMessage": "Fichier supprimé avec succès",
            "removedFailedMessage": "Le fichier n'a pas pu être supprimé",
            "inProgress": "Téléchargement",
            "readyToUploadMessage": "Prêt à télécharger",
            "remove": "Retirer",
            "cancel": "Annuler",
            "delete": "Supprimer le fichier",
            "totalFiles": "Total des fichiers",
            "size": "taille"
        }
    }
})
        }
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

You can also explore Angular File Upload feature tour page for its groundbreaking features. You can also explore our Angular File Upload example to understand how to localize Uploader labels, status messages, and tooltips.